com.genesyslab.wfm8.API.service.schedule852

## Class SchOvertimeSlot

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchOvertimeSlot

- All Implemented Interfaces:
    java.io.Serializable

      public class SchOvertimeSlot
      extends java.lang.Object
      implements java.io.Serializable

  Overtime Slot
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId`
    `protected int` | `gswUserId`
    `private static long` | `serialVersionUID`
    `protected int` | `wmBid`
    `protected java.lang.String` | `wmComments`
    `protected double` | `wmDate`
    `protected int` | `wmDuration`
    `protected int` | `wmOverertimeOfferId`
    `protected int` | `wmOvertimeSlotId`
    `protected int` | `wmSiteId`
    `protected double` | `wmStartDateTime`
    `protected int` | `wmStatus`
    `protected java.lang.String` | `wmStatusReason`
    `protected int` | `wmStatusReasonCode`
    `protected double` | `wmTimestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchOvertimeSlot()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `int` | `getWmBid()` Gets the value of the wmBid property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `double` | `getWmDate()` Gets the value of the wmDate property.
    `int` | `getWmDuration()` Gets the value of the wmDuration property.
    `int` | `getWmOverertimeOfferId()` Gets the value of the wmOverertimeOfferId property.
    `int` | `getWmOvertimeSlotId()` Gets the value of the wmOvertimeSlotId property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDateTime()` Gets the value of the wmStartDateTime property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `java.lang.String` | `getWmStatusReason()` Gets the value of the wmStatusReason property.
    `int` | `getWmStatusReasonCode()` Gets the value of the wmStatusReasonCode property.
    `double` | `getWmTimestamp()` Gets the value of the wmTimestamp property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setWmBid(int value)` Sets the value of the wmBid property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmDate(double value)` Sets the value of the wmDate property.
    `void` | `setWmDuration(int value)` Sets the value of the wmDuration property.
    `void` | `setWmOverertimeOfferId(int value)` Sets the value of the wmOverertimeOfferId property.
    `void` | `setWmOvertimeSlotId(int value)` Sets the value of the wmOvertimeSlotId property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDateTime(double value)` Sets the value of the wmStartDateTime property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `void` | `setWmStatusReason(java.lang.String value)` Sets the value of the wmStatusReason property.
    `void` | `setWmStatusReasonCode(int value)` Sets the value of the wmStatusReasonCode property.
    `void` | `setWmTimestamp(double value)` Sets the value of the wmTimestamp property.
    `java.lang.String` | `toString()`
    `SchOvertimeSlot` | `withGswAgentId(int value)`
    `SchOvertimeSlot` | `withGswUserId(int value)`
    `SchOvertimeSlot` | `withWmBid(int value)`
    `SchOvertimeSlot` | `withWmComments(java.lang.String value)`
    `SchOvertimeSlot` | `withWmDate(double value)`
    `SchOvertimeSlot` | `withWmDuration(int value)`
    `SchOvertimeSlot` | `withWmOverertimeOfferId(int value)`
    `SchOvertimeSlot` | `withWmOvertimeSlotId(int value)`
    `SchOvertimeSlot` | `withWmSiteId(int value)`
    `SchOvertimeSlot` | `withWmStartDateTime(double value)`
    `SchOvertimeSlot` | `withWmStatus(int value)`
    `SchOvertimeSlot` | `withWmStatusReason(java.lang.String value)`
    `SchOvertimeSlot` | `withWmStatusReasonCode(int value)`
    `SchOvertimeSlot` | `withWmTimestamp(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmOvertimeSlotId

          protected int wmOvertimeSlotId

    - #### wmOverertimeOfferId

          protected int wmOverertimeOfferId

    - #### wmSiteId

          protected int wmSiteId

    - #### gswAgentId

          protected int gswAgentId

    - #### wmDate

          protected double wmDate

    - #### wmStartDateTime

          protected double wmStartDateTime

    - #### wmDuration

          protected int wmDuration

    - #### wmBid

          protected int wmBid

    - #### wmComments

          protected java.lang.String wmComments

    - #### wmStatus

          protected int wmStatus

    - #### wmStatusReason

          protected java.lang.String wmStatusReason

    - #### wmStatusReasonCode

          protected int wmStatusReasonCode

    - #### gswUserId

          protected int gswUserId

    - #### wmTimestamp

          protected double wmTimestamp

  - ### Constructor Detail

    - #### SchOvertimeSlot

          public SchOvertimeSlot()

  - ### Method Detail

    - #### getWmOvertimeSlotId

          public int getWmOvertimeSlotId()

      Gets the value of the wmOvertimeSlotId property.

    - #### setWmOvertimeSlotId

          public void setWmOvertimeSlotId(int value)

      Sets the value of the wmOvertimeSlotId property.

    - #### getWmOverertimeOfferId

          public int getWmOverertimeOfferId()

      Gets the value of the wmOverertimeOfferId property.

    - #### setWmOverertimeOfferId

          public void setWmOverertimeOfferId(int value)

      Sets the value of the wmOverertimeOfferId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmDate

          public double getWmDate()

      Gets the value of the wmDate property.

    - #### setWmDate

          public void setWmDate(double value)

      Sets the value of the wmDate property.

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the value of the wmStartDateTime property.

    - #### setWmStartDateTime

          public void setWmStartDateTime(double value)

      Sets the value of the wmStartDateTime property.

    - #### getWmDuration

          public int getWmDuration()

      Gets the value of the wmDuration property.

    - #### setWmDuration

          public void setWmDuration(int value)

      Sets the value of the wmDuration property.

    - #### getWmBid

          public int getWmBid()

      Gets the value of the wmBid property.

    - #### setWmBid

          public void setWmBid(int value)

      Sets the value of the wmBid property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmStatusReason

          public java.lang.String getWmStatusReason()

      Gets the value of the wmStatusReason property.
      Returns:
        possible object is `String`

    - #### setWmStatusReason

          public void setWmStatusReason(java.lang.String value)

      Sets the value of the wmStatusReason property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStatusReasonCode

          public int getWmStatusReasonCode()

      Gets the value of the wmStatusReasonCode property.

    - #### setWmStatusReasonCode

          public void setWmStatusReasonCode(int value)

      Sets the value of the wmStatusReasonCode property.

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### getWmTimestamp

          public double getWmTimestamp()

      Gets the value of the wmTimestamp property.

    - #### setWmTimestamp

          public void setWmTimestamp(double value)

      Sets the value of the wmTimestamp property.

    - #### withWmOvertimeSlotId

          public SchOvertimeSlot withWmOvertimeSlotId(int value)

    - #### withWmOverertimeOfferId

          public SchOvertimeSlot withWmOverertimeOfferId(int value)

    - #### withWmSiteId

          public SchOvertimeSlot withWmSiteId(int value)

    - #### withGswAgentId

          public SchOvertimeSlot withGswAgentId(int value)

    - #### withWmDate

          public SchOvertimeSlot withWmDate(double value)

    - #### withWmStartDateTime

          public SchOvertimeSlot withWmStartDateTime(double value)

    - #### withWmDuration

          public SchOvertimeSlot withWmDuration(int value)

    - #### withWmBid

          public SchOvertimeSlot withWmBid(int value)

    - #### withWmComments

          public SchOvertimeSlot withWmComments(java.lang.String value)

    - #### withWmStatus

          public SchOvertimeSlot withWmStatus(int value)

    - #### withWmStatusReason

          public SchOvertimeSlot withWmStatusReason(java.lang.String value)

    - #### withWmStatusReasonCode

          public SchOvertimeSlot withWmStatusReasonCode(int value)

    - #### withGswUserId

          public SchOvertimeSlot withGswUserId(int value)

    - #### withWmTimestamp

          public SchOvertimeSlot withWmTimestamp(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.